#!/usr/bin/env python3

"""
A program that loads two integers and computes their lowest common multiplier.
We base this on the solution of Problem 2.4.
"""

m = int(input("m = "))
n = int(input("n = "))

# We want to keep m, n for output
cm = abs(m)  # current m
cn = abs(n)  # current n

# If m < n, the first step will swap them
while cn > 0:
    r = cm % cn
    cm = cn
    cn = r

# From lab-02-04.py
print("gcd(" + str(m) + ", " + str(n) + ") =", cm)

# |m| / gcd(m,n) <= lcm(m,n), so we avoid computing too big a number
# We use integer division because we know that |m| is divisible by gcd(m,n)
print("lcm(" + str(m) + ", " + str(n) + ") =", (abs(m) // cm) * abs(n))
